<template>
  <v-container>
    <v-row>
      <v-col
        v-for="(link, i) in links"
        :key="i"
        class="text-center"
        cols="4"
        md="auto"
      >
        <a
          :href="link.href"
          class="text-decoration-none text-uppercase text-caption font-weight-regular"
          rel="noopener"
          target="_blank"
          v-text="link.text"
        />
      </v-col>

      <v-spacer class="hidden-sm-and-down" />

      <v-col
        cols="12"
        md="auto"
      >
        <div class="text-body-1 font-weight-light pt-6 pt-md-0 text-center">
          <v-icon class="mr-2">
            mdi-email-outline
          </v-icon>
          <span>contato@mypiggybank.com.br</span>
        </div>
      </v-col>
    </v-row>
  </v-container>
</template>

<script>
  export default {
    name: 'Links',

    data: () => ({
      links: [
        {
          href: 'https://mypiggybank.com.br/',
          text: 'Site',
        },
        {
          href: 'https://www.linkedin.com/company/my-piggy-bank',
          text: 'Linkedin',
        },
        {
          href: 'https://forms.gle/eTJZeRLfRtaP6D8DA',
          text: 'NPS',
        },
        {
          href: 'https://forms.gle/MkQCX2DqGD7YSfeG9',
          text: 'Feedback',
        },
      ],
    }),
  }
</script>

<style lang="scss" scoped>
  a {
    color: inherit !important
  }
</style>
